description

# TimeoutException class Null safety

Thrown when a scheduled timeout happens while waiting for an async result.

Implemented types
  - Exception

## Constructors

TimeoutException(String? message, [Duration? duration])

## Properties

duration → Duration?
  The duration that was exceeded.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
message → String?
  Description of the cause of the timeout.
  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited